Loading...
Searching...
No Matches
Extrema< VecT, 1 > Class Template Reference

Template specialization of Extrema on vector value types, i.e. rank = 1. More...

`#include <nanovdb/util/GridStats.h>`

## Classes

struct | Pair

## Public Types

using | ValueType = VecT

## Public Member Functions

| Extrema ()
| Extrema (const VecT &v)
| Extrema (const VecT &a, const VecT &b)
Extrema & | operator= (const Extrema &)=default
Extrema & | min (const VecT &v)
Extrema & | max (const VecT &v)
Extrema & | add (const VecT &v)
Extrema & | add (const VecT &v, uint64_t)
Extrema & | add (const Extrema &other)
const VecT & | min () const
const VecT & | max () const
| operator bool () const

## Static Public Member Functions

static constexpr bool | hasMinMax ()
static constexpr bool | hasAverage ()
static constexpr bool | hasStdDeviation ()
static constexpr size_t | size ()

## Protected Types

using | Real = typename VecT::ValueType

## Protected Member Functions

Extrema & | add (const Pair &p)

## Protected Attributes

struct nanovdb::Extrema< VecT, 1 >::Pair | mMin
struct nanovdb::Extrema< VecT, 1 >::Pair | mMax

## Detailed Description

template<typename VecT>
class nanovdb::Extrema< VecT, 1 >

Template specialization of Extrema on vector value types, i.e. rank = 1.

## Member Typedef Documentation

## Real

template<typename VecT>

using Real = typename VecT::ValueType

protected

## ValueType

template<typename VecT>

using ValueType = VecT

## Constructor & Destructor Documentation

## Extrema() [1/3]

template<typename VecT>

Extrema | ( |  | ) |

inline

## Extrema() [2/3]

template<typename VecT>

Extrema | ( | const VecT & | v | ) |

inline

## Extrema() [3/3]

template<typename VecT>

Extrema | ( | const VecT & | a,
|  | const VecT & | b )

inline

## Member Function Documentation

## add() [1/4]

template<typename VecT>

Extrema & add | ( | const Extrema< VecT, 1 > & | other | ) |

inline

## add() [2/4]

template<typename VecT>

Extrema & add | ( | const Pair & | p | ) |

inline protected

## add() [3/4]

template<typename VecT>

Extrema & add | ( | const VecT & | v | ) |

inline

## add() [4/4]

template<typename VecT>

Extrema & add | ( | const VecT & | v,
|  | uint64_t | )

inline

## hasAverage()

template<typename VecT>

constexpr bool hasAverage | ( |  | ) |

inline static constexpr

## hasMinMax()

template<typename VecT>

constexpr bool hasMinMax | ( |  | ) |

inline static constexpr

## hasStdDeviation()

template<typename VecT>

constexpr bool hasStdDeviation | ( |  | ) |

inline static constexpr

## max() [1/2]

template<typename VecT>

const VecT & max | ( |  | ) | const

inline

## max() [2/2]

template<typename VecT>

Extrema & max | ( | const VecT & | v | ) |

inline

## min() [1/2]

template<typename VecT>

const VecT & min | ( |  | ) | const

inline

## min() [2/2]

template<typename VecT>

Extrema & min | ( | const VecT & | v | ) |

inline

## operator bool()

template<typename VecT>

operator bool | ( |  | ) | const

inline

## operator=()

template<typename VecT>

Extrema & operator= | ( | const Extrema< VecT, 1 > & |  | ) |

default

## size()

template<typename VecT>

constexpr size_t size | ( |  | ) |

inline static constexpr

## Member Data Documentation

## mMax

template<typename VecT>

struct nanovdb::Extrema< VecT, 1 >::Pair mMax

protected

## mMin

template<typename VecT>

struct nanovdb::Extrema< VecT, 1 >::Pair mMin

protected